Skip to main content
`Ctrl`+`K`

# PCHMGSetCoarseningComponent

Set which component of the PDE is used for the subspace-based coarsening algorithm in the preconditioner `PCHMG`

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHMGSetCoarseningComponent(PC pc, PetscInt component)

Logically Collective

## Input Parameters

- pc - the `PCHMG` context

- component - which component `PC` will coarsen

## Options Database Key

- -pc_hmg_coarsening_component i - Which component is chosen for the subspace-based coarsening algorithm

## Note

By default it uses the first component

## See Also

KSP: Linear System Solvers, `PCHMG`, `PCType`, `PCGAMG`, `PCHMGSetReuseInterpolation()`, `PCHMGSetUseSubspaceCoarsening()`, `PCHMGSetInnerPCType()`

## Level

beginner

## Location

src/ksp/pc/impls/hmg/hmg.c

## Examples

src/ksp/ksp/tutorials/ex4.c

## Implementations

PCHMGSetCoarseningComponent_HMG() in src/ksp/pc/impls/hmg/hmg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages